# -*- coding: utf-8 -*-

"""
Смотрим, в каком порядке идут котировки в оригинале (нужно для теста).
"""

__author__ = "Zasimov Alexey"
__email__ = "zasimov-a@yandex-team.ru"

import sys
sys.path.append(".")
from stocks3.core.config import parse_xml

tree = parse_xml("original.txt")
for node in tree.findall("project/keyset/key"):
    name = node.attrib["id"]
    if name.endswith(".name"):
        ident = int(name.split(".")[0])
        print(ident)

